Subject: Re: Copying Git repository from Linux to Windows.

From: Andreas Ericsson <[email-masked]>
Date: Wed, 15 Jun 2011 11:47:34 +0200

On 06/15/2011 11:28 AM, viresh kumar wrote:
> Hello,
> 
> I wanted to copy my complete Linux GIT repo from Linux PC to Windows. I also wanted everything
> related to remote branches too, so need to copy and clone and fetch wouldn't work.
> 
> I don't have windows on same network, so i need to copy to memory stick and then to Windows PC.
> 
> After completing copy operation on mem stick, i found something strange.
> - git branch shows correct results and is exactly same of state at Linux machine.
> - git log is also fine.
> - git status, shows me a lot of files are modified, which is not present in Linux.
> - git reset --hard also doesn't work and fails with following error.
> 
> 
> $ git reset --hard HEAD
> error: unable to create symlink arch/microblaze/boot/dts/system.dts (Operation not permitted)
> Checking out files: 100% (36696/36696), done.
> fatal: Could not reset index file to revision 'HEAD'.
> 
> 
> Any help about this issue would be very helpful.
> 

The Linux kernel repository isn't very good to work with on Windows
machines, or anywhere where the filesystem is either case-insensitive
or case-agnostic.

One reason is that it contains symlink. The other is that there are
files sharing the same name and only differ in case.

I suppose the main thought behind it is that Linux kernel hackers
almost exclusively use Linux (which has sane filesystems) to do
their work, so it hasn't been rectified in the 5 or so years it has
been a known (non-)problem.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.